name: Build
run-name: ${{ gitea.actor }} is running ${{ github.workflow }} on ${{ github.repository }}
on: [ push ]

jobs:
  publish:
    runs-on: ubuntu-latest
    if: gitea.ref == 'refs/heads/main'
    steps:
      - uses: https://github.com/actions/checkout@v4
      - name: Set up Docker Buildx
        uses: https://github.com/docker/setup-buildx-action@v3
        with:
          config-inline: |
            [registry."172.21.0.1:5000"]
              http = true
              insecure = true
      - name: Build and push Docker image
        uses: https://github.com/docker/build-push-action@v5
        with:
          context: .
          file: ./Dockerfile
          push: true
          tags: "172.21.0.1:5000/website"
      - name: Restart Docker compose stack
        run: echo okay | nc 172.21.0.1:1337
